nom: S²low
description: "Connecteur pour le logiciel S²low de l'Adullact. Permet l'utilisation des protocoles Actes et Helios.\nConfiguration du connecteur, option \"Utiliser l'authentification par certificat sur S2low pour la télétransmission\":\nCette option est prise en compte pour les types de dossier Actes (générique) sur l'action \"Transmettre à la préfecture\". Apparaît alors un bouton « Ordonner la télétransmission au TdT ». Sur cette action, l'utilisateur est redirigé vers S2low afin de présenter un certificat valide, puis S2low redirige l'utilisateur vers Pastell. Ceci afin de se substituer à l'action de l'agent sur s2low qui valide en cliquant sur le bouton « Poster ce document ».\nRemarque: Lorsque cette case est cochée, La case « Confirmer la transaction sur S²LOW » n'a plus d'effet. De fait la transaction necessite une authentification par certificat."
type: TdT
formulaire:
    page0:
        url:
            name: 'URL du service'
        user_certificat:
            name: 'Certificat utilisateur (format P12)'
            type: file
            content-type: application/octet-stream
            onchange: update-certificate
        user_certificat_password:
            name: 'Mot de passe du certificat utilisateur'
            type: password
            onchange: update-certificate
        user_certificat_pem:
            type: file
            no-show: true
        user_key_pem:
            type: file
            no-show: true
        user_login:
            name: "Login de l'utilisateur"
        user_password:
            type: password
            name: "Mot de passe de l'utilisateur"
        classification_file:
            name: 'Fichier de classification'
            type: file
            read-only: true
        classification_date:
            name: 'Date de la classification'
            type: date
            read-only: true
        nomemclature_file:
            name: 'Fichier de nomenclature CDG'
            type: externalData
            link_name: 'Sélectionner un fichier de nomemclature CDG'
            choice-action: nomemclature-liste
        envoi_en_attente:
            name: 'Confirmer la transaction sur S²low'
            commentaire: "La transaction devra être confirmée par l'agent télétransmetteur avant d'être envoyée à la préfecture"
            type: checkbox
        authentication_for_teletransmisson:
            name: "Utiliser l'authentification par certificat sur S2low pour la télétransmission"
            commentaire: "L'utilisateur est redirigé vers S2low afin de présenter un certificat valide, puis S2low redirige l'utilisateur vers Pastell"
            type: checkbox
action:
    test-tedetis:
        name: 'Tester la connectivité'
        action-class: TestConnexion
    test-rgs-connexion:
        name: 'Tester la redirection sur S²Low'
        action-class: TestConnexionSurSlow
    demande-classification:
        name: 'Envoyer une demande de classification à la préfecture'
        action-class: EnvoieDemandeClassification
    recup-classification:
        name: 'Récupérer la classification'
        action-class: RecupClassification
    update-certificate:
        name: 'Mettre à jour les certificats'
        rule:
            internal-action: true
        action-class: StandardAction
        connecteur-type: utilities
        connecteur-type-action: UpdateCertificate
        connecteur-type-mapping:
            certificat_connexion: user_certificat
            certificat_password: user_certificat_password
            certificat_connexion_cert_pem: user_certificat_pem
            certificat_connexion_key_pem: user_key_pem
    nomemclature-liste:
        name: 'Liste des fichiers de nomemclature'
        action-class: NomemclatureListe
        rule:
            internal-action: true
    recup-pes-retour:
        name: 'Récupérer les PES retour'
        action-class: RecupPESRetour
    recup-reponse-prefecture:
        name: 'Récupérer les réponses de la préfecture'
        action-class: RecupReponsePrefecture
